org.richfaces.renderkit

## Class SortingFilteringRowsRenderer

- java.lang.Object
- - javax.faces.render.Renderer
  - - org.richfaces.renderkit.RendererBase
    - - org.richfaces.renderkit.AbstractRowsRenderer
      - - org.richfaces.renderkit.SortingFilteringRowsRenderer

- All Implemented Interfaces:
    org.richfaces.model.DataVisitor
  Direct Known Subclasses:
    AbstractTableBaseRenderer, SelectionRenderer

      public abstract class SortingFilteringRowsRenderer
      extends AbstractRowsRenderer

  Author:
    Anton Belevich

- - ### Field Summary

    - ### Fields inherited from class javax.faces.render.Renderer

      `PASSTHROUGH_RENDERER_LOCALNAME_KEY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SortingFilteringRowsRenderer()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `decodeFiltering(javax.faces.context.FacesContext context, UIDataTableBase dataTableBase, String value)`
    `protected void` | `decodeSorting(javax.faces.context.FacesContext context, UIDataTableBase dataTableBase, String value)`
    `protected void` | `decodeSortingFiltering(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
    `protected void` | `updateAttribute(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component, String attribute, Object value)`

    - ### Methods inherited from class org.richfaces.renderkit.AbstractRowsRenderer

      `createRowHolder, doCleanup, doEncodeChildren, encodeFakeRow, encodeRow, encodeRows, get, getColumnClass, getColumnClasses, getRendersChildren, getRowClass, getRowClassAttribute, getRowClasses, process, processRows, put, renderRowHandlers`

    - ### Methods inherited from class org.richfaces.renderkit.RendererBase

      `concatClasses, concatStyles, decode, doDecode, doEncodeBegin, doEncodeEnd, encodeBegin, encodeChildren, encodeEnd, getComponentClass, getResourcePath, getSkin, getUtils, preDecode, preEncodeBegin, queueComponentEventForBehaviorEvent, renderChildren`

    - ### Methods inherited from class javax.faces.render.Renderer

      `convertClientId, getConvertedValue`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SortingFilteringRowsRenderer

          public SortingFilteringRowsRenderer()

  - ### Method Detail

    - #### decodeSortingFiltering

          protected void decodeSortingFiltering(javax.faces.context.FacesContext context,
                                    javax.faces.component.UIComponent component)

    - #### decodeFiltering

          protected void decodeFiltering(javax.faces.context.FacesContext context,
                             UIDataTableBase dataTableBase,
                             String value)

    - #### decodeSorting

          protected void decodeSorting(javax.faces.context.FacesContext context,
                           UIDataTableBase dataTableBase,
                           String value)

    - #### updateAttribute

          protected void updateAttribute(javax.faces.context.FacesContext context,
                             javax.faces.component.UIComponent component,
                             String attribute,
                             Object value)

Copyright © 2014 JBoss by Red Hat. All rights reserved.